SORD_VALIDATE(1)

NAME
sord_validate - validate RDF data

SYNOPSIS
sord_validate [-hlv] input ...

DESCRIPTION
sord_validate is a simple validator which checks that all used properties are actually defined, and that the domain and range of properties is explicitly correct. Note that a validation "error" here doesn't necessarily mean that data is invalid, since it isn't, for example, required to explicitly list types in RDF. This validator implements a more strict and explicit set of rules, based on the realistic needs of simple real-world implementations. For example, missing explicit type information may be warned about, even though even a simple inference engine would be able to deduce it.

sord_validate never retrieves data from the web or special places on the file system, it only processes the files passed directly on the command line. This means you must pass all used vocabularies to get a useful result.

If an appropriate schema is available, literals are checked against datatype definitions (both the explicit datatype of the literal itself, as well as any types implied by the corresponding property). Three XML Schema Datatypes (XSD) constraints are currently supported: regular expressions (xsd:pattern), and inclusive ranges (xsd:minimumInclusive and xsd:maximumInclusive). Given an appropriate schema, this is enough to validate against most of the standard XSD datatypes.

The options are as follows:

-h  Print the command line options.

-l  Print errors on a single line.

-v  Display version information and exit.

EXIT STATUS
sord_validate exits with a status of 0 if the input data is valid, or non-zero if there are issues with the data or if an error occurred.

SEE ALSO
sordi(1)
http://drobilla.net/software/sord/
http://gitlab.com/drobilla/sord/

STANDARDS

W3C, RDF 1.1 NQuads, February 2014. https://www.w3.org/TR/n-quads/

W3C, February 2014, RDF 1.1 NTriples. https://www.w3.org/TR/n-triples/

W3C, RDF 1.1 TriG, February 2014. https://www.w3.org/TR/trig/

W3C, February 2014, RDF 1.1 Turtle. https://www.w3.org/TR/turtle/

AUTHORS
sord_validate is a part of sord, by David Robillard <d@drobilla.net>.